local super = require "View"

Control = super:new()

function Control:new()
    self = super.new(self)
    
    self:addProperty('enabled', true)
    
    return self
end

function Control:setRect(rect)
    self.left = rect.left
    self.right = rect.right
    self.top = rect.top
    self.bottom = rect.bottom
end

function Control:hasStyles()
    return false
end

function Control:setActive(active)
    self.active = active
end

function Control:isActive()
    return self.active
end

Control.move = nil -- function(x, y) end

function Control:down(x, y)
    return true
end

function Control:dragged(x, y)
end

function Control:up(x, y)
end

function Control:action()
end

return Control
